-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [dbo].[ListaCampioneDettaglioMovimenti_Parziale]
AS
BEGIN
	SET NOCOUNT ON;
	drop table if exists c6martperiodico.TB_ListaCampioneDettaglioMovimenti_Parziale
	SELECT a.RETE, a.COD_FIS, substring(b.provenienza,20,3) as CASISTICA, isnull(a.DETT_MOV_PREC,0) as DETT_MOV_PREC , isnull(a.DETT_MOV_CORR,0) as DETT_MOV_CORR 
	into c6martperiodico.TB_ListaCampioneDettaglioMovimenti_Parziale
	FROM C6MartPeriodico.DettaglioMovimenti a
	INNER JOIN appoCampioneReport b
	ON a.RETE = b.rete
	AND a.COD_FIS = b.cod_fiscale
	AND provenienza like '%Apporti e Prelievi%'
	ORDER BY a.RETE, a.COD_FIS
	if( (select COUNT(*) from c6martperiodico.TB_ListaCampioneDettaglioMovimenti_Parziale)=0)
	begin 
drop table If exists #appo
select top 1 a.rete,a.cod_fiscale,s.DESCRIZIONE
into #appo
from C6MartPeriodico.selezionecampione s 
inner join appoCampioneReport a 
on s.rete+s.cod_fiscale=a.rete+a.cod_fiscale
where c39<>0 
union all
select top 1  a.rete,a.cod_fiscale,s.DESCRIZIONE  from C6MartPeriodico.selezionecampione s 
inner join appoCampioneReport a 
on s.rete+s.cod_fiscale=a.rete+a.cod_fiscale
where c40<>0 
union all
select top 1  a.rete,a.cod_fiscale,s.DESCRIZIONE from C6MartPeriodico.selezionecampione s 
inner join appoCampioneReport a 
on s.rete+s.cod_fiscale=a.rete+a.cod_fiscale
where c41<>0 
union all
select top 1  a.rete,a.cod_fiscale,s.DESCRIZIONE  from C6MartPeriodico.selezionecampione s 
inner join appoCampioneReport a 
on s.rete+s.cod_fiscale=a.rete+a.cod_fiscale
where c42<>0 
union all
select top 1  a.rete,a.cod_fiscale,s.DESCRIZIONE  from C6MartPeriodico.selezionecampione s 
inner join appoCampioneReport a 
on s.rete+s.cod_fiscale=a.rete+a.cod_fiscale
where c43<>0 
union all
select top 1  a.rete,a.cod_fiscale,s.DESCRIZIONE  from C6MartPeriodico.selezionecampione s 
inner join appoCampioneReport a 
on s.rete+s.cod_fiscale=a.rete+a.cod_fiscale
where c44<>0 
  update a set PROVENIENZA = 'APPORTI E PRELIEVI'
  FROM appoCampioneReport a
  where  cod_fiscale in (select cod_fiscale from #appo)
  exec [dbo].[ListaCampioneDettaglioMovimenti_Parziale]
  end
END